TOASCII(3)

NAME
toascii - convert character to ASCII

SYNOPSIS
#include <ctype.h>

int toascii(int c);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

toascii(): _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE

DESCRIPTION
toascii() converts c to a 7-bit unsigned char value that fits into the ASCII character set, by clearing the high-order bits.

RETURN VALUE
The value returned is that of the converted character.

CONFORMING TO
SVr4, BSD, POSIX.1-2001.

BUGS
Many people will be unhappy if you use this function. This function will convert accented letters into random characters.

SEE ALSO
isascii(3), tolower(3), toupper(3)